List all variables
Returns all environment variables for the current organization. Secret values are masked.
Returns all environment variables for the current organization. Secret values are masked.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Query Parameters
Filter variables by key (case-insensitive partial match)
length <= 256Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/environment-variables"{ "data": [ { "_id": "string", "_organizationId": "string", "key": "string", "type": "string", "isSecret": true, "values": [ { "_environmentId": "string", "value": "string" } ], "createdAt": "string", "updatedAt": "string" } ]}Delete a context DELETE
Delete a context by its type and id. **type** and **id** are required fields, if the context does not exist, it returns the 404 response
Create a variable POST
Creates a new environment variable. Keys must be uppercase with underscores only (e.g. BASE_URL). Secret variables are encrypted at rest and masked in API responses.